Package org.apache.lucene.facet.range

# Class Range

java.lang.Object
org.apache.lucene.facet.range.Range

Direct Known Subclasses:
  `DoubleRange`, `LongRange`

public abstract class Range extends Object
Base class for a single labeled range.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `label`
  Label that identifies this range.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Range(String label)`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `failNoMatch()`
  Invoke this for a useless range.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### label

    public final String label
    Label that identifies this range.

- ## Constructor Details

  - ### Range

    protected Range(String label)
    Sole constructor.

- ## Method Details

  - ### failNoMatch

    protected void failNoMatch()
    Invoke this for a useless range.